clc
clear
warning off all
%konstante Parameter
m = 80;     % Masse [kg]
L0 = 1;     % Ruhelnge Bein [m]
k = 20000;  % Beinsteifigkeit [N/m]
g = 9.81;   % Fallbeschleunigung [m/s^2]

alpha0 = 64*pi/180; % Anstellwinkel [rad]

% Anfangsbedingungen
x0 = 0;             % horizontale Position [m]
y0=1.05;            % vertikale Position [m]
vy0 = -1e-12;        % vertikale Geschwindigkeit [m/s]

vx0=6;
E=m/2*vx0^2+m*g*y0;

y0_vec=0.8:0.05:1.5;
apex_vec=NaN(length(y0_vec),1);
%Simulations Parameter
Ts=1e-3;    %time step

for y0_idx=1:length(y0_vec)
    y0=y0_vec(y0_idx);
    vx0=sqrt(2*(E/m-g*y0));

sim('SLIP_Wiki.mdl')
    apex_vec(y0_idx)=xy_apex(2);
    if apex_vec(y0_idx)<=0;
        apex_vec(y0_idx)=NaN;
    end
end

%%
%close all
figure
hold on
plot(y0_vec,y0_vec,'LineWidth',4,'Color','black')
plot(y0_vec,apex_vec,'LineWidth',4,'Color','blue')
xlabel('$y_{i}$','Interpreter','Latex','FontSize',20)
ylabel('$y_{i+1}$','Interpreter','Latex','FontSize',20)
title('Apex-Return-Map','Interpreter','Latex','FontSize',20)
axis equal
axis([0.9 1.5 0.9 1.5])
shg